import {select} from 'd3';

const svg = select('svg');
const height = +svg.attr('height');
const width = +svg.attr('width');
const circle = svg.append('circle')
.attr('r',height/2)//creating the circle
.attr('cx',width/2)//Repositioning the circle
.attr('cy',height/2)
.attr('fill','yellow')//Applying color to the circle
.attr('stroke','black');

//Drawing eyes

const lefteye = svg.append('circle')
.attr('r',height/6)
.attr('cx',width/2+100)
.attr('cy',height/2-50)
.attr('fill','white')
.attr('stroke','black');

const righteye = svg.append('circle')
.attr('r',height/6)
.attr('cx',width/2-100)
.attr('cy',height/2-50)
.attr('fill','white')
.attr('stroke','black');

//Drawing cornea

const leftcornea = svg.append('circle')
.attr('r',height/12)
.attr('cx',width/2-90)
.attr('cy',height/2-90)
.attr('fill','black')
.attr('stroke','black');

const rightcornea = svg.append('circle')
.attr('r',height/12)
.attr('cx',width/2+90)
.attr('cy',height/2-90)
.attr('fill','black')
.attr('stroke','black');

//Drawing no expression smile

const smile = svg.append('rect')
.attr('x',width/2-100)
.attr('y',height/2+100)
.attr('width',200)
.attr('height',25)
.attr('rx',10)
.attr('fill','#550b05')


